Skip to main content

Spot Account Deals

Subscribe

{
"method": "SUBSCRIPTION",
"params": [
"spot@private.deals.v3.api.pb"
]
}

Request Parameters spot@private.deals.v3.api.pb

Response Parameters

ParameterData TypeDescription
symbolstringTrading pair
sendTimelongEvent time
privateDealsjsonAccount trade information
pricestringTrade price
quantitystringTrade quantity
amountstringTrade amount
tradeTypeintTrade type (1: Buy, 2: Sell)
tradeIdstringTrade ID
isMakerBooleanis maker
orderIdstringOrder ID
clientOrderIdstringUser-defined order ID
feeAmountstringFee amount
feeCurrencystringFee currency
timelongTrade time

Sample data

{
"channel": "spot@private.deals.v3.api.pb",
"symbol": "MXUSDT",
"sendTime": 1736417034332,
"privateDeals": {
"price": "3.6962",
"quantity": "1",
"amount": "3.6962",
"tradeType": 2,
"isMaker": false,
"tradeId": "505979017439002624X1",
"orderId": "C02__505979017439002624115",
"feeAmount": "0.0003998377369698171",
"feeCurrency": "MX",
"time": 1736417034280
}
}